% creates Klee-Minty-Example-data
%
% the LP reads:
%
% min  x(n)
%  st  0 <= x(1)  <= 1
%      epsilon*x(k-1) <= x(k) <= 1-epsilon*x(k-1) , k=2,...,n
%    
% data created: A,b,c for the format max c'x st Ax<=b, x>=0
function [A,b,c] = kleeminty(n,epsilon)

c = zeros(n,1); c(n) = -1;

m = 2*n-1;

b = zeros(m,1); b(1:2:m)=1;

A = zeros(m,n);
A(1,1) = 1;
j = 1;
for i=3:2:m
   A(i-1,j)   = epsilon;
   A(i  ,j)   = epsilon;
   A(i-1,j+1) = -1;
   A(i  ,j+1) = 1;
   j = j+1;
end
   
   


    